Bug 1286741 - powertop unknown op '{'
powertop unknown op '{'
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: powertop (Show other bugs)
23
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-30 11:09 EST by Ricardson Williams
Modified: 2016-02-15 14:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-15 14:02:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ricardson Williams 2015-11-30 11:09:15 EST
Description of problem:
Powertop cannot start


Version-Release number of selected component (if applicable):
powertop-2.8-1.fc23.x86_64


How reproducible:
sudo systemctl status powertop
● powertop.service - PowerTOP autotuner
   Loaded: loaded (/usr/lib/systemd/system/powertop.service; enabled; vendor preset: disabled)
   Active: inactive (dead) since Mon 2015-11-30 13:17:01 BRST; 30min ago
  Process: 2434 ExecStart=/usr/sbin/powertop --auto-tune (code=exited, status=0/SUCCESS)
 Main PID: 2434 (code=exited, status=0/SUCCESS)

Nov 30 13:16:59 localhost.localdomain powertop[2434]: RAPL device for cpu 0
Nov 30 13:16:59 localhost.localdomain powertop[2434]: RAPL Using PowerCap Sys...
Nov 30 13:16:59 localhost.localdomain powertop[2434]: RAPL device for cpu 0
Nov 30 13:16:59 localhost.localdomain powertop[2434]: RAPL Using PowerCap Sys...
Nov 30 13:16:59 localhost.localdomain powertop[2434]: RAPL device for cpu 0
Nov 30 13:16:59 localhost.localdomain powertop[2434]: RAPL Using PowerCap Sys...
Nov 30 13:16:59 localhost.localdomain powertop[2434]: Devfreq not enabled
Nov 30 13:17:00 localhost.localdomain powertop[2434]: unknown op '{'
Nov 30 13:17:01 localhost.localdomain powertop[2434]: Leaving PowerTOP
Nov 30 13:17:01 localhost.localdomain systemd[1]: Started PowerTOP autotuner.
Hint: Some lines were ellipsized, use -l to show in full.
Comment 1 Jaroslav Škarvada 2015-12-01 08:49:57 EST
Is it virtual machine? Could you provide some information about the machine (architecture, CPU)?
Comment 2 Jaroslav Škarvada 2015-12-01 08:53:38 EST
I am able to reproduce the problem under VirtualBox.
Comment 3 Ricardson Williams 2015-12-01 18:44:48 EST
I'm running on my laptop, my configuration:

Processor: intel® Core™ i7-5500U CPU @ 2.40GHz × 4 
OS Type: 64bit
Comment 4 Jaroslav Škarvada 2015-12-02 06:28:15 EST
This is probably because PowerTOP is doing bad assumption about available MSRs. I fixed similar problem a while ago, but it seems upstream reintroduced the bug in the new release. I will take a look.
Comment 5 Jaroslav Škarvada 2016-01-22 08:22:26 EST
I am no longer able to reproduce the problem under VirtualBox (I tried different versions, 4/5). Unfortunately I don't have i7-5500U (only i7-4600U which works OK), I am trying different machines from our pool, but so far I haven't been able to reproduce the problem.
Comment 6 Jaroslav Škarvada 2016-01-25 09:38:54 EST
So far the most similar behaviour that I was able to reproduce:

  unknown op '{'Package(s)
                Model-specific registers (MSR)			 not found (try enabling CONFIG_X86_MSR).
Total size: 555 k                                                                                        read_msr cpu0 0xe8 : Argument list too long

When I run it on experimental machine without MSR. Well, the error is quite strange, the upstream could really put some "love" into it, but it is self descriptive - there is no MSR - and different from yours.

Could I kindly ask you to report your problem to PowerTOP upstream? Hopefully the community or Intel will have the machine to reproduce the problem on. I was unsuccessful to find such machine in our pool.
Comment 7 Jaroslav Škarvada 2016-01-26 06:00:45 EST
I looked again on your report. There is 'code=exited, status=0/SUCCESS'. It is one shot service, so it exited successfully. The "unknown op '{'" is harmless message. I will check it's origin. There is also 'Leaving PowerTOP' message in your report. I think your machine is correctly tuned. So I cannot see any functional problem and the problem description provided in comment 0 is not correct, there is just some weird output on STDERR.

Note You need to log in before you can comment on or make changes to this bug.